/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-02 16:28:13
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-02 17:53:29
 * @FilePath: \uighur-recognition-web2\mock\device.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**告警列表模块 mock */
import { mockGetDeviceData, mockGetUploadDeviceData } from './pools/deviceData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList } from './utils/apiMock';
export default {
  // 实时分析告警列表分页
  'GET /api/device/': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetDeviceData,
        data: { ...mockGetDeviceData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
  // 离线分析告警列表分页
  'GET /api/upload_device/': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetUploadDeviceData,
        data: { ...mockGetUploadDeviceData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
};
