import { generateRandomString } from '../utils/mockHash';
import { generateRandomDateTimeByYear } from '../utils/mockMoment';

// 模型列表
export const mockGetModelListData = {
  data: {
    count: 257,
    next: null,
    previous: null,
    results: [
      {
        id: 1,
        industry: '通用',
        name: 'OCR识别',
        deviceSort: '文字识别',
        remark:
          '光学字符识别（OCR）是可进行字体训练的工具，用于自动识别字符。它可以防止误读、处理流程变化并提供轻松的字体管理。',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 2,
        industry: '通用',
        name: '机器人定位引导',
        deviceSort: '机器人抓取目标定位',
        remark:
          '机器视觉技术经常用于定位与引导，提供机械手或其它执行机构以准确的二维或三维坐标，进行路径规划，引导机械手完成规定的作业和任务。定位与引导系统往往和其它系统一并构成较复杂的技术系统，实现特定的功能，满足需求。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 3,
        industry: '通用',
        name: '多目标定位',
        deviceSort: '多个随机目标定位，引导机器人抓取',
        remark:
          '多目标定位算法首先对目标提取关键特征，然后通过分类找到与目标最相似的位置。基于训练检测器的初始化首先需要目标检测，然后链接到已有的轨迹中。这种策略也通常被称为“Tracking -By- Detection”。多目标定位算法还需识别目标的数量、识别目标的类型，这些全部由检测算法的结果来决定，无法预知。多目标定位过程包含每一个独立的目标定位检测过程。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 4,
        industry: '通用',
        name: '计数',
        deviceSort: '产品计数',
        remark:
          '可取代传统的人工计数和称重计数，大大提高计数的准确性和易操作性，实现高速、灵活、智能的高效作业。',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 5,
        industry: '通用',
        name: '下料口、出料口堵塞检测',
        deviceSort: '料口堵塞识别',
        remark:
          '下料口、出料口堵塞识别基于AI视频智能识别技术，在生产场景中对下料口、出料口提供全天候、多维度的实时监控、分析与预警，有效提高工业生产的智能化和安全性，弥补人工监看的不足，提高企业生产安全水平。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 6,
        industry: '通用',
        name: '尺寸测量',
        deviceSort: '工件尺寸测量',
        remark:
          '保证金属件或者塑料件的质量，符合产品生产的需求。该项目主要从两个方向进行检测，分别是尺寸测量、缺陷检测。',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 7,
        industry: '通用',
        name: '面积测量',
        deviceSort: '工件面积测量',
        remark:
          '保证金属件或者塑料件的质量，符合产品生产的需求。该项目主要从两个方向进行检测，分别是尺寸测量、缺陷检测。',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 8,
        industry: '通用',
        name: '角度测量',
        deviceSort: '工件角度测量',
        remark:
          '保证金属件或者塑料件的质量，符合产品生产的需求。该项目主要从两个方向进行检测，分别是尺寸测量、缺陷检测。',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 9,
        industry: '通用',
        name: '曲率测量',
        deviceSort: '工件曲率测量',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 10,
        industry: '通用',
        name: '形状测量',
        deviceSort: '工件形状测量',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 11,
        industry: '电子、手机、SMT',
        name: '颜色识别',
        deviceSort: '工件局部、区域颜色识别',
        remark: '颜色识别主要用于不同颜色产品的分选、识别、检测等问题。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 12,
        industry: '手机、电子、手机、工件装配、SMT',
        name: '装配目标检测',
        deviceSort: '工件装配部分中心定位及缺陷检测',
        remark:
          '一些由细小零部件组装的工件，组装质量的好坏直接影响最终产品的质量。目前针对这一问题大多数客户选择将产品下放到很多中小型工厂，这些工厂往往都是依靠人眼去检测。然而人眼是经常会出现“漏检”，“误检”的情况，并且生产效率低、人工成本高昂，给客户造成很大的困扰和产品安全隐患。苏胜天开发了一套超高性价比的流水线视觉检测系统。不仅解放了生产力，而且提高了生产效率，同时保证了产品的质量。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 13,
        industry: '手机、电子、SMT',
        name: 'PCB板表面缺陷检测',
        deviceSort: '元器件（插件）混料检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 14,
        industry: '手机、电子、SMT',
        name: 'PCB板表面缺陷检测',
        deviceSort: '元器件（插件）有无检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 15,
        industry: '手机、电子、SMT',
        name: 'PCB板表面缺陷检测',
        deviceSort: '元器件（插件）正负极检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 16,
        industry: '手机、电子、SMT',
        name: 'PCB板表面缺陷检测',
        deviceSort: '元器件（插件）颜色识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 17,
        industry: '手机、电子、SMT',
        name: 'PCB板表面缺陷检测',
        deviceSort: '元器件（插件）方向测量',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 18,
        industry: '手机、电子、SMT',
        name: 'PCB板表面缺陷检测',
        deviceSort: '焊线颜色检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 19,
        industry: '手机、电子、SMT',
        name: 'PCB板表面缺陷检测',
        deviceSort: '端子座颜色检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 20,
        industry: '手机、电子、SMT',
        name: 'PCB板表面缺陷检测',
        deviceSort: '端子座方向检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 21,
        industry: '手机、电子、SMT',
        name: 'PCB电子元器件缺陷检测',
        deviceSort: '插孔通畅检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 22,
        industry: '手机、电子、SMT',
        name: 'PCB电子元器件缺陷检测',
        deviceSort: '孔直径大小测量',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 23,
        industry: '手机、电子、SMT',
        name: 'PIN检测',
        deviceSort: 'PIN间距测量',
        remark: 'PIN行间距检测同PIN角测量一样，一个工具、不限制PIN角个数、所有工艺参数，一次测量。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 24,
        industry: '手机、电子、SMT',
        name: 'PIN检测',
        deviceSort: 'PIN宽度测量',
        remark:
          '基于机器视觉的PIN检测，主要应用在插针连接器、FFC、FPC连接端子、芯片引脚等测量。通过非接触测量，对产品质量进行检测。本方案针对PIN检测专门开发出PIN角测量工具、PIN行间距测量工具，更稳定、更便捷、更精确。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 25,
        industry: '手机、电子、SMT',
        name: 'PIN检测',
        deviceSort: 'PIN高度测量',
        remark:
          '基于机器视觉的PIN检测，主要应用在插针连接器、FFC、FPC连接端子、芯片引脚等测量。通过非接触测量，对产品质量进行检测。本方案针对PIN检测专门开发出PIN角测量工具、PIN行间距测量工具，更稳定、更便捷、更精确。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 26,
        industry: '手机、电子、SMT',
        name: 'PIN检测',
        deviceSort: 'PIN行间距测量',
        remark:
          '基于机器视觉的PIN检测，主要应用在插针连接器、FFC、FPC连接端子、芯片引脚等测量。通过非接触测量，对产品质量进行检测。本方案针对PIN检测专门开发出PIN角测量工具、PIN行间距测量工具，更稳定、更便捷、更精确。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 27,
        industry: '手机、电子、SMT',
        name: 'PIN检测',
        deviceSort: '针角正位度检测',
        remark:
          '针对环形PIN角圆形度检测，在每一个PIN边缘可获取1到3个点，通过边缘点拟合圆，测量环形PIN角的圆形度。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 28,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '划伤缺陷检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 29,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '压伤缺陷检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 30,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '破损缺陷检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 31,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '毛刺缺陷检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 32,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '毛丝缺陷检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 33,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '崩边缺陷检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 34,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '点状异物缺陷检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 35,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '电镀掉漆缺陷检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 36,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '脏污、麻点缺陷检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 37,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '异色缺陷检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 38,
        industry: '手机、液晶显示屏',
        name: '盖板玻璃表面缺陷检测',
        deviceSort: '尺寸公差检测',
        remark:
          '手机、平板电子产品在组装完成后，为保证出货前的产品质量，需对手机的玻璃面、后盖、侧面、圆弧面进行全方位的检查，检测内容包括划伤、缺口、点状异物（如颗粒、玻璃珠、气泡等）、压痕、凹凸痕、锯齿状、脏污、电镀掉漆、异色等。使屏幕依次显示不同的纯色背景，检测屏幕亮点、暗点、花屏、背光不良等缺陷。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 39,
        industry: '手机、液晶显示屏',
        name: '镜片表面缺陷检测',
        deviceSort: '披锋（毛刺）缺陷检测',
        remark:
          '通过机器视觉系统，检测产品制造中出现的划痕、脏污、异物等表面缺陷和其他异常，检测装配错误、表面缺陷、损坏的工件和缺失的功能，可确定对象的方向、形状、位置，还可识别功能。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 40,
        industry: '手机、液晶显示屏',
        name: '镜片表面缺陷检测',
        deviceSort: '蚀刻不良缺陷检测',
        remark:
          '通过机器视觉系统，检测产品制造中出现的划痕、脏污、异物等表面缺陷和其他异常，检测装配错误、表面缺陷、损坏的工件和缺失的功能，可确定对象的方向、形状、位置，还可识别功能。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 41,
        industry: '手机、液晶显示屏',
        name: '镜片表面缺陷检测',
        deviceSort: '异色缺陷检测',
        remark:
          '通过机器视觉系统，检测产品制造中出现的划痕、脏污、异物等表面缺陷和其他异常，检测装配错误、表面缺陷、损坏的工件和缺失的功能，可确定对象的方向、形状、位置，还可识别功能。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 42,
        industry: '手机、液晶显示屏',
        name: '镜片表面缺陷检测',
        deviceSort: '字体不良缺陷检测',
        remark:
          '通过机器视觉系统，检测产品制造中出现的划痕、脏污、异物等表面缺陷和其他异常，检测装配错误、表面缺陷、损坏的工件和缺失的功能，可确定对象的方向、形状、位置，还可识别功能。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 43,
        industry: '手机、液晶显示屏',
        name: '镜片表面缺陷检测',
        deviceSort: '崩边缺陷检测',
        remark:
          '通过机器视觉系统，检测产品制造中出现的划痕、脏污、异物等表面缺陷和其他异常，检测装配错误、表面缺陷、损坏的工件和缺失的功能，可确定对象的方向、形状、位置，还可识别功能。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 44,
        industry: '手机、液晶显示屏',
        name: '镜片表面缺陷检测',
        deviceSort: '边透沙眼缺陷检测',
        remark:
          '通过机器视觉系统，检测产品制造中出现的划痕、脏污、异物等表面缺陷和其他异常，检测装配错误、表面缺陷、损坏的工件和缺失的功能，可确定对象的方向、形状、位置，还可识别功能。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 45,
        industry: '手机、液晶显示屏',
        name: '镜片表面缺陷检测',
        deviceSort: '划伤缺陷检测',
        remark:
          '通过机器视觉系统，检测产品制造中出现的划痕、脏污、异物等表面缺陷和其他异常，检测装配错误、表面缺陷、损坏的工件和缺失的功能，可确定对象的方向、形状、位置，还可识别功能。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 46,
        industry: '手机、液晶显示屏',
        name: '镜片表面缺陷检测',
        deviceSort: '晶点缺陷检测',
        remark:
          '通过机器视觉系统，检测产品制造中出现的划痕、脏污、异物等表面缺陷和其他异常，检测装配错误、表面缺陷、损坏的工件和缺失的功能，可确定对象的方向、形状、位置，还可识别功能。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 47,
        industry: '手机、液晶显示屏',
        name: '镜片表面缺陷检测',
        deviceSort: '亮点缺陷检测',
        remark:
          '通过机器视觉系统，检测产品制造中出现的划痕、脏污、异物等表面缺陷和其他异常，检测装配错误、表面缺陷、损坏的工件和缺失的功能，可确定对象的方向、形状、位置，还可识别功能。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 48,
        industry: '手机、液晶显示屏',
        name: '摄像模组表面缺陷检测',
        deviceSort: '异物缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 49,
        industry: '手机、液晶显示屏',
        name: '摄像模组表面缺陷检测',
        deviceSort: '污染缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 50,
        industry: '手机、液晶显示屏',
        name: '摄像模组表面缺陷检测',
        deviceSort: '刮伤缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 51,
        industry: '手机、液晶显示屏',
        name: '摄像模组表面缺陷检测',
        deviceSort: '白点缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 52,
        industry: '手机、液晶显示屏',
        name: '摄像模组表面缺陷检测',
        deviceSort: '高度差测量',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 53,
        industry: '手机、液晶显示屏',
        name: '中板表面缺陷检测',
        deviceSort: '崩边缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 54,
        industry: '手机、液晶显示屏',
        name: '中板表面缺陷检测',
        deviceSort: '断裂缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 55,
        industry: '手机、液晶显示屏',
        name: '中板表面缺陷检测',
        deviceSort: '变形缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 56,
        industry: '手机、液晶显示屏',
        name: '中板表面缺陷检测',
        deviceSort: '牙孔缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 57,
        industry: '手机、液晶显示屏',
        name: '中板表面缺陷检测',
        deviceSort: '断柱缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 58,
        industry: '手机、液晶显示屏',
        name: 'Logo表面缺陷检测',
        deviceSort: '划痕缺陷检测',
        remark:
          '碰压伤、刮伤、料线、针孔、麻点、白点、缺口、凸包、研磨痕、拱起、变形等缺陷的检测。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 59,
        industry: '手机、液晶显示屏',
        name: 'Logo表面缺陷检测',
        deviceSort: '麻点缺陷检测',
        remark:
          '碰压伤、刮伤、料线、针孔、麻点、白点、缺口、凸包、研磨痕、拱起、变形等缺陷的检测。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 60,
        industry: '手机、液晶显示屏',
        name: 'Logo表面缺陷检测',
        deviceSort: '白点缺陷检测',
        remark:
          '碰压伤、刮伤、料线、针孔、麻点、白点、缺口、凸包、研磨痕、拱起、变形等缺陷的检测。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 61,
        industry: '手机、液晶显示屏',
        name: 'Logo表面缺陷检测',
        deviceSort: '缺口缺陷检测',
        remark:
          '碰压伤、刮伤、料线、针孔、麻点、白点、缺口、凸包、研磨痕、拱起、变形等缺陷的检测。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 62,
        industry: '手机、液晶显示屏',
        name: 'Logo表面缺陷检测',
        deviceSort: '凹凸点缺陷检测',
        remark:
          '碰压伤、刮伤、料线、针孔、麻点、白点、缺口、凸包、研磨痕、拱起、变形等缺陷的检测。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 63,
        industry: '手机、液晶显示屏',
        name: '手机电池表面缺陷检测',
        deviceSort: '漏气缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 64,
        industry: '手机、液晶显示屏',
        name: '手机电池表面缺陷检测',
        deviceSort: '焊点缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 65,
        industry: '手机、液晶显示屏',
        name: '手机电池表面缺陷检测',
        deviceSort: '压伤缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 66,
        industry: '手机、液晶显示屏',
        name: '部件表面缺陷检测',
        deviceSort: '表面脏污缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 67,
        industry: '手机、液晶显示屏',
        name: '部件表面缺陷检测',
        deviceSort: '裂纹缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 68,
        industry: '手机、液晶显示屏',
        name: '部件表面缺陷检测',
        deviceSort: '划伤缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 69,
        industry: '手机、液晶显示屏',
        name: '部件表面缺陷检测',
        deviceSort: '刮伤缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 70,
        industry: '手机、液晶显示屏',
        name: '部件表面缺陷检测',
        deviceSort: '气泡缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 71,
        industry: '手机、液晶显示屏',
        name: '边距缺陷检测',
        deviceSort: '边距缺陷检测',
        remark:
          '全面屏极大的缩小了显示区到边框的距离，大大提升了视觉体验。与此同时，精确测量全面屏显示区到边缘的距离更为困难，这就需要高精度镜头和相机等相互协作达到测量目的。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 72,
        industry: '手机、液晶显示屏',
        name: '成品组装缺陷检测',
        deviceSort: '缺件缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 73,
        industry: '手机、液晶显示屏',
        name: '成品组装缺陷检测',
        deviceSort: '错件缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 74,
        industry: '手机、液晶显示屏',
        name: '成品组装缺陷检测',
        deviceSort: '螺钉浮高缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 75,
        industry: '手机、液晶显示屏',
        name: '成品组装缺陷检测',
        deviceSort: '边距缺陷检测',
        remark:
          '全面屏极大的缩小了显示区到边框的距离，大大提升了视觉体验。与此同时，精确测量全面屏显示区到边缘的距离更为困难，这就需要高精度镜头和相机等相互协作达到测量目的。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 76,
        industry: '手机、液晶显示屏',
        name: '液晶屏与Tape胶贴合定位',
        deviceSort: '对位贴合',
        remark:
          'Tape胶是遮光胶带的一种，主要用于光学显示器件中起到黏贴和遮光的作用，广泛用于笔记本电脑、手机、PDA、数码等电子显示屏。液晶屏与Tape胶包边的的贴合程度以及边框的精准对位，直接影响显示屏的遮光效果。哪怕是很细小的贴合问题对于高标准的电子产品来说，就是严重的产品质量问题。该系统采用多相机对液晶屏与Tape胶包边进行定位检测，液晶屏四条边缘分四个工位依次进行定位贴合。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 77,
        industry: '机械、金属工件、线缆、铸造、薄膜、玻璃、造纸、铝板带、铝箔、铜箔、无纺布',
        name: '金属工件表面缺陷检测',
        deviceSort: '裂纹缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 78,
        industry: '机械、金属工件、线缆、铸造、薄膜、玻璃、造纸、铝板带、铝箔、铜箔、无纺布',
        name: '金属工件表面缺陷检测',
        deviceSort: '坑点缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 79,
        industry: '机械、金属工件、线缆、铸造、薄膜、玻璃、造纸、铝板带、铝箔、铜箔、无纺布',
        name: '金属工件表面缺陷检测',
        deviceSort: '气孔缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 80,
        industry: '机械、金属工件、线缆、铸造、薄膜、玻璃、造纸、铝板带、铝箔、铜箔、无纺布',
        name: '金属工件表面缺陷检测',
        deviceSort: '缩孔缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 81,
        industry: '机械、金属工件、线缆、铸造、薄膜、玻璃、造纸、铝板带、铝箔、铜箔、无纺布',
        name: '金属工件表面缺陷检测',
        deviceSort: '表面啃伤缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 82,
        industry: '机械、金属工件、线缆、铸造、薄膜、玻璃、造纸、铝板带、铝箔、铜箔、无纺布',
        name: '金属工件表面缺陷检测',
        deviceSort: '表面氧化皮缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 83,
        industry: 'PVC管材、金属管材、金属工件、塑料水管、汽车软管、线缆',
        name: '管材表面缺陷检测',
        deviceSort: '表面划伤缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 84,
        industry: 'PVC管材、金属管材、金属工件、塑料水管、汽车软管、线缆',
        name: '管材表面缺陷检测',
        deviceSort: '凹坑凹陷缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 85,
        industry: 'PVC管材、金属管材、金属工件、塑料水管、汽车软管、线缆',
        name: '管材表面缺陷检测',
        deviceSort: '褶皱缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 86,
        industry: 'PVC管材、金属管材、金属工件、塑料水管、汽车软管、线缆',
        name: '管材表面缺陷检测',
        deviceSort: '麻面缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 87,
        industry: 'PVC管材、金属管材、金属工件、塑料水管、汽车软管、线缆',
        name: '管材表面缺陷检测',
        deviceSort: '色差缺陷检测',
        remark: '颜色是很重要的一个图像特征，本系统针对不同颜色管材也均可检出。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 88,
        industry: 'PVC管材、金属管材、金属工件、塑料水管、汽车软管、线缆',
        name: '管材表面缺陷检测',
        deviceSort: '杂质缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 89,
        industry: 'PVC管材、金属管材、金属工件、塑料水管、汽车软管、线缆',
        name: '管材表面缺陷检测',
        deviceSort: '管径测量',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 90,
        industry: 'PVC管材、金属管材、金属工件、塑料水管、汽车软管、线缆',
        name: '管材表面缺陷检测',
        deviceSort: '鼓包缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 91,
        industry: 'PVC管材、金属管材、金属工件、塑料水管、汽车软管、线缆',
        name: '管材表面缺陷检测',
        deviceSort: '开裂缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 92,
        industry: '锂电池',
        name: '锂电池底壳焊工位检测',
        deviceSort: '中心孔定位',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 93,
        industry: '锂电池',
        name: '锂电池底壳焊工位检测',
        deviceSort: '中心孔缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 94,
        industry: '锂电池',
        name: '锂电池底壳焊工位检测',
        deviceSort: '电池角度矫正',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 95,
        industry: '锂电池',
        name: '锂电池底壳焊工位检测',
        deviceSort: '正极绝缘片缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 96,
        industry: '锂电池',
        name: '极片涂布表面缺陷检测',
        deviceSort: '漏金属缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 97,
        industry: '锂电池',
        name: '极片涂布表面缺陷检测',
        deviceSort: '划痕缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 98,
        industry: '锂电池',
        name: '极片涂布表面缺陷检测',
        deviceSort: '脱碳缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 99,
        industry: '锂电池',
        name: '极片涂布表面缺陷检测',
        deviceSort: '气泡缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 100,
        industry: '锂电池',
        name: '极片涂布表面缺陷检测',
        deviceSort: '黑斑缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 101,
        industry: '锂电池',
        name: '极片涂布表面缺陷检测',
        deviceSort: '白斑缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 102,
        industry: '锂电池',
        name: '极片涂布表面缺陷检测',
        deviceSort: '毛刺缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 103,
        industry: '锂电池',
        name: '滚槽后尺寸测量及缺陷检测',
        deviceSort: '滚槽后相关尺寸测量',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 104,
        industry: '锂电池',
        name: '滚槽后尺寸测量及缺陷检测',
        deviceSort: '滚槽后点胶气泡缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 105,
        industry: '锂电池',
        name: '滚槽后尺寸测量及缺陷检测',
        deviceSort: '滚槽后点胶断胶缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 106,
        industry: '锂电池',
        name: '盖帽焊工位检测',
        deviceSort: '盖帽有无检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 107,
        industry: '锂电池',
        name: '盖帽焊工位检测',
        deviceSort: '极耳偏移的角度检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 108,
        industry: '锂电池',
        name: '盖帽焊工位检测',
        deviceSort: '盖帽焊接偏差检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 109,
        industry: '锂电池',
        name: '盖帽焊工位检测',
        deviceSort: '正极片高度检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 110,
        industry: '锂电池',
        name: '蹲封-盖帽角度矫正检测',
        deviceSort: '盖帽中心点定位引导',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 111,
        industry: '锂电池',
        name: '盖帽正反检测',
        deviceSort: '盖帽正反倾斜状态检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 112,
        industry: '锂电池',
        name: '电池端面',
        deviceSort: '电池正极有无垫片检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 113,
        industry: '锂电池',
        name: '表面缺陷检测',
        deviceSort: '电池正极端面套管质量检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 114,
        industry: '锂电池',
        name: '表面缺陷检测',
        deviceSort: '电池负极端面套管质量检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 115,
        industry: '锂电池',
        name: '表面缺陷检测',
        deviceSort: '电池正极、负极端面凹坑缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 116,
        industry: '锂电池',
        name: '表面缺陷检测',
        deviceSort: '电池正极、负极端面划伤缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 117,
        industry: '锂电池',
        name: '电池卷绕表面缺陷检测',
        deviceSort: '卷绕入料缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 118,
        industry: '锂电池',
        name: '电池卷绕表面缺陷检测',
        deviceSort: '卷绕料线缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 119,
        industry: '锂电池',
        name: '电池卷绕表面缺陷检测',
        deviceSort: '隔膜褶皱缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 120,
        industry: '锂电池',
        name: '电池卷绕表面缺陷检测',
        deviceSort: '极耳翻折缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 121,
        industry: '锂电池',
        name: '电池卷绕表面缺陷检测',
        deviceSort: '极片破损缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 122,
        industry: '食品、饮料、医疗卫生',
        name: 'PET灌装铝膜封口缺陷检测',
        deviceSort: '无铝膜检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 123,
        industry: '食品、饮料、医疗卫生',
        name: 'PET灌装铝膜封口缺陷检测',
        deviceSort: '封口温度过高检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 124,
        industry: '食品、饮料、医疗卫生',
        name: 'PET灌装铝膜封口缺陷检测',
        deviceSort: '封口温度过低检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 125,
        industry: '食品、饮料、医疗卫生',
        name: 'PET灌装铝膜封口缺陷检测',
        deviceSort: '铝膜反装检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 126,
        industry: '食品、饮料、医疗卫生',
        name: 'PET灌装铝膜封口缺陷检测',
        deviceSort: '铝膜缺损检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 127,
        industry: '食品、饮料、医疗卫生',
        name: 'PET灌装铝膜封口缺陷检测',
        deviceSort: '铝膜虚封检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 128,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '气泡缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 129,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '结石缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 130,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '黑点缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 131,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '裂纹缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 132,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '气线缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 133,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '磕碰缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 134,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '脏污缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 135,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '瓶口缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 136,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '喷码缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 137,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '瓶盖缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 138,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '标贴缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 139,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '装箱点数',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 140,
        industry: '食品、饮料、医疗卫生',
        name: '玻璃瓶、安瓿瓶表面缺陷检测',
        deviceSort: '箱体内容检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 141,
        industry: '食品、饮料',
        name: '易拉罐空罐表面缺陷检测',
        deviceSort: '罐身内壁杂质检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 142,
        industry: '食品、饮料',
        name: '易拉罐空罐表面缺陷检测',
        deviceSort: '罐身变形检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 143,
        industry: '食品、饮料',
        name: '易拉罐空罐表面缺陷检测',
        deviceSort: '罐身凹陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 144,
        industry: '食品、饮料',
        name: '易拉罐空罐表面缺陷检测',
        deviceSort: '罐底杂质、异物检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 145,
        industry: '食品、饮料',
        name: '易拉罐空罐表面缺陷检测',
        deviceSort: '罐口杂质、异物检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 146,
        industry: '食品、饮料',
        name: '易拉罐空罐表面缺陷检测',
        deviceSort: '罐口椭圆度检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 147,
        industry: '食品、饮料',
        name: '易拉罐空罐表面缺陷检测',
        deviceSort: '灌口高度一致性、凹陷 ( 内凹，外凹 )检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 148,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '开裂缺陷检测',
        remark: '开裂是瓷砖的主要缺陷之一，裂纹缺陷的形式多种多样，有侧裂，面裂和层裂。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 149,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '斑裂缺陷检测',
        remark:
          '这种裂纹不容易看见，危害更大，一般当发现时已经有大量的缺陷砖生产出来。在抛光或者磨边时，这些细注的裂纹，在应力的作用下会扩展而导致砖破碎。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 150,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '斑点、脏污缺陷检测',
        remark:
          '斑点一般有黑斑和黄斑两种，斑点处呈现洞穴状的称为熔洞。这两种缺陷往往是同时产生的，斑点严重时就成为熔洞。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 151,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '缺釉缺陷检测',
        remark:
          '这种缺陷是由于坯体表面的灰尘、油污在施釉前未擦干净；釉浆比重过大使淋釉操作不易掌握造成棱角处缺釉。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 152,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '局部色差缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 153,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '多瓷砖拼图色差缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 154,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '崩边缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 155,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '花纹图案缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 156,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '平整度检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 157,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '曲线曲面贴合度测量',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 158,
        industry: '陶瓷、卫浴、瓷砖',
        name: '陶瓷表面缺陷检测',
        deviceSort: '尺寸误差检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 159,
        industry: '通用',
        name: '纸箱外包装表面缺陷检测',
        deviceSort: '长方形纸箱外包装破损检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 160,
        industry: '通用',
        name: '纸箱外包装表面缺陷检测',
        deviceSort: '胶带开口检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 161,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '人员身份识别',
        remark:
          '接入监控系统，实现支持名单报警（创建人脸名单，为此名单配置人脸库图片，并设置相似度，实现名单报警等）；在人脸库、抓拍库中以图搜图；通过人脸识别，进行人员属性统计（年龄、性别、岗位、资质等）。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 162,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '未带安全帽识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 163,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '未系安全带识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 164,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '违规登高识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 165,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '未穿工作服识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 166,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '未戴口罩识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 167,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '吸烟识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 168,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '接打电话识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 169,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '离岗检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 170,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '睡岗检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 171,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '仪表读数',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 172,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '明火、烟雾识别',
        remark:
          '针对火灾事故多发，火灾原因多样化，复杂化，火灾调查工作缺少有效，直观技术手段的现实状况。针对可能出现的烟雾及明火区域，利用计算机视觉技术，实时采集视频流，实现对工业视频火险智能识别，采用图像分割技术，精确定位火险的位置。',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 173,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '设备开合状态识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '经典算法',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 174,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '设备跑冒滴漏识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 175,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '标识牌脱落识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 176,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '工器具遗留识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 177,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '虚拟电子围栏与越界识别',
        remark:
          '通过电子围栏对特定或临时划定区域，划定虚拟周界，一方面可实现对现场的保护，另一方面当有人员靠近或非法越界闯入区域时可进行安全警示，自动识别控制区域、高危区域等重点区域人员误入行为，实时报警。可对特定区域、临时划定区域、重点区域、高危区域进行监控，通过设定区域位置信息，生成虚拟电子围栏。可设置越界告警、滞留告警；可以设定生效时间和星期，在地图上鼠标拖动，即可快速完成电子围栏的圈定。电子围栏在地图上任意绘制，不限数量。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 178,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '人员跌倒识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 179,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '人员尾随识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 180,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '人员聚集识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 181,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '多人多姿态操作流程合规性识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 182,
        industry: '通用',
        name: '人员及设备安全识别',
        deviceSort: '车牌识别',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 183,
        industry: '机加工、光伏、电子、SMT、手机、锂电池、精密零部件加工',
        name: '焊接表面缺陷检测',
        deviceSort: '焊接机器人焊接定位',
        remark:
          '产品焊接质量对密封效果十分重要。需要机器视觉完成产品安装前定位、装后有无检测、焊接前定位及焊后质量检测的一整个流程的视觉检测，对整体的检测速度、定位精度和焊接缺陷识别提出了系统性的要求。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 184,
        industry: '机加工、光伏、电子、SMT、手机、锂电池、精密零部件加工',
        name: '焊接表面缺陷检测',
        deviceSort: '焊接缝循迹跟踪检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 185,
        industry: '机加工、光伏、电子、SMT、手机、锂电池、精密零部件加工',
        name: '焊接表面缺陷检测',
        deviceSort: '焊接球过小、过大检测',
        remark:
          '对焊接成果的检测，目的是保证焊接结构的完整性、可靠性、安全性和使用性。除了对焊接技术和焊接工艺的要求以外，焊接质量检测也是焊接结构质量管理的重要一环。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 186,
        industry: '机加工、光伏、电子、SMT、手机、锂电池、精密零部件加工',
        name: '焊接表面缺陷检测',
        deviceSort: '开焊缺陷检测',
        remark:
          '对焊接成果的检测，目的是保证焊接结构的完整性、可靠性、安全性和使用性。除了对焊接技术和焊接工艺的要求以外，焊接质量检测也是焊接结构质量管理的重要一环。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 187,
        industry: '机加工、光伏、电子、SMT、手机、锂电池、精密零部件加工',
        name: '焊接表面缺陷检测',
        deviceSort: '漏焊缺陷检测',
        remark:
          '对焊接成果的检测，目的是保证焊接结构的完整性、可靠性、安全性和使用性。除了对焊接技术和焊接工艺的要求以外，焊接质量检测也是焊接结构质量管理的重要一环。',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 188,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '划痕缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 189,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '裂纹缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 190,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '网纹缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 191,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '过热缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 192,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '气泡缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 193,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '麻点缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 194,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '崩边缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 195,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '夹杂缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 196,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '折叠缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 197,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '结疤缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 198,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '分层缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 199,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '波浪缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 200,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '辊印缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 201,
        industry: '钢铁、冶金、铸造',
        name: '卷材、带材、板材表面缺陷检测',
        deviceSort: '氧化铁皮压入缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 202,
        industry: '钢铁、冶金、铸造',
        name: '宽厚板智能组板及智能剪切',
        deviceSort: '确定最佳剪切线位置',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 203,
        industry: '钢铁、冶金、铸造',
        name: '宽厚板智能组板及智能剪切',
        deviceSort: '智能组板',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 204,
        industry: '钢铁、冶金、铸造',
        name: '高温连铸板坯表面缺陷检测',
        deviceSort: '氧化铁皮缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 205,
        industry: '钢铁、冶金、铸造',
        name: '高温连铸板坯表面缺陷检测',
        deviceSort: '表面裂纹缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 206,
        industry: '钢铁、冶金、铸造',
        name: '高温连铸板坯表面缺陷检测',
        deviceSort: '划伤缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 207,
        industry: '钢铁、冶金、铸造',
        name: '高温连铸板坯表面缺陷检测',
        deviceSort: '毛刺缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 208,
        industry: '钢铁、冶金、铸造',
        name: '高温连铸板坯表面缺陷检测',
        deviceSort: '重接缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 209,
        industry: '钢铁、冶金、铸造',
        name: '高温连铸板坯表面缺陷检测',
        deviceSort: '双浇缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 210,
        industry: '钢铁、冶金、铸造',
        name: '高温连铸板坯表面缺陷检测',
        deviceSort: '振痕缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 211,
        industry: '钢铁、冶金、铸造',
        name: '重轨、H型钢表面缺陷检测',
        deviceSort: '3D尺寸误差检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 212,
        industry: '钢铁、冶金、铸造',
        name: '重轨、H型钢表面缺陷检测',
        deviceSort: '几何尺寸缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 213,
        industry: '钢铁、冶金、铸造',
        name: '重轨、H型钢表面缺陷检测',
        deviceSort: '输出侧缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 214,
        industry: '钢铁、冶金、铸造',
        name: '重轨、H型钢表面缺陷检测',
        deviceSort: '轧制缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 215,
        industry: '钢铁、冶金、铸造',
        name: '重轨、H型钢表面缺陷检测',
        deviceSort: '表面痕迹缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 216,
        industry: '钢铁、冶金、铸造',
        name: '重轨、H型钢表面缺陷检测',
        deviceSort: '坯料缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 217,
        industry: '钢铁、冶金、铸造',
        name: '重轨、H型钢表面缺陷检测',
        deviceSort: '其他缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 218,
        industry: '钢铁、冶金、铸造',
        name: '废钢识别',
        deviceSort: '废钢识别定级',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 219,
        industry: '银行、营业厅',
        name: '人员违规检测',
        deviceSort: '加班人员检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 220,
        industry: '银行、营业厅',
        name: '人员违规检测',
        deviceSort: '上班玩手机检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 221,
        industry: '银行、营业厅',
        name: '人员违规检测',
        deviceSort: '上班打瞌睡检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 222,
        industry: '银行、营业厅',
        name: '人员违规检测',
        deviceSort: '上班看书报检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 223,
        industry: '银行、营业厅',
        name: '人员违规检测',
        deviceSort: '上班吃东西检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 224,
        industry: '银行、营业厅',
        name: '人员违规检测',
        deviceSort: '上班串岗、聊天检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 225,
        industry: '银行、营业厅',
        name: '人员违规检测',
        deviceSort: '上班吸烟检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 226,
        industry: '银行、营业厅',
        name: '常规检查',
        deviceSort: '头饰规范检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 227,
        industry: '银行、营业厅',
        name: '常规检查',
        deviceSort: '着装合规性检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 228,
        industry: '银行、营业厅',
        name: '常规检查',
        deviceSort: '桌面钞票额度检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 229,
        industry: '银行、营业厅',
        name: 'ATM机检测',
        deviceSort: 'ATM机读卡器检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 230,
        industry: '银行、营业厅',
        name: 'ATM机检测',
        deviceSort: 'ATM机表面广告张贴检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 231,
        industry: '银行、营业厅',
        name: 'ATM机检测',
        deviceSort: 'ATM机室内卫生检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 232,
        industry: '银行、营业厅',
        name: '操作动作及流程合规性检测',
        deviceSort: '大厅自助机操作合规性检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 233,
        industry: '银行、营业厅',
        name: '操作动作及流程合规性检测',
        deviceSort: '消防器材巡检操作合规性检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 234,
        industry: '银行、营业厅',
        name: '操作动作及流程合规性检测',
        deviceSort: '机房巡检操作合规性检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 235,
        industry: '银行、营业厅',
        name: '操作动作及流程合规性检测',
        deviceSort: 'ATM装钞动作及流程合规性检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 236,
        industry: '机加工、电子、手机、精密零部件加工、汽车',
        name: '螺纹缺陷检测',
        deviceSort: '螺纹无牙缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 237,
        industry: '机加工、电子、手机、精密零部件加工、汽车',
        name: '螺纹缺陷检测',
        deviceSort: '螺纹偏牙缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 238,
        industry: '机加工、电子、手机、精密零部件加工、汽车',
        name: '螺纹缺陷检测',
        deviceSort: '螺纹内杂物检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 239,
        industry: '机加工、电子、手机、精密零部件加工、汽车',
        name: '螺纹缺陷检测',
        deviceSort: '螺纹孔定位',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 240,
        industry: '机加工、电子、手机、精密零部件加工、汽车',
        name: '螺纹缺陷检测',
        deviceSort: '螺纹孔径尺寸测量',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 241,
        industry: '光伏',
        name: '光伏电池片表面缺陷检测',
        deviceSort: '隐裂缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 242,
        industry: '光伏',
        name: '光伏电池片表面缺陷检测',
        deviceSort: '黑片缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 243,
        industry: '光伏',
        name: '光伏电池片表面缺陷检测',
        deviceSort: '短路缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 244,
        industry: '光伏',
        name: '光伏电池片表面缺陷检测',
        deviceSort: '虚焊缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 245,
        industry: '光伏',
        name: '光伏电池片表面缺陷检测',
        deviceSort: '裂纹缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 246,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '开路缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 247,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '断路缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 248,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '刻蚀过度缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 249,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '树脂气泡缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 250,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '打孔不良检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 251,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '压板缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 252,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '喷锡缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 253,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '锡珠缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 254,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '白斑缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 255,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '堵孔缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 256,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '胶渣缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
      {
        id: 257,
        industry: 'PCB',
        name: '印刷电路板（PCB）表面缺陷检测',
        deviceSort: '漏铜缺陷检测',
        remark: '',
        defaultVersionFkId: 'V1.6.25',
        type: '深度学习',
        provider: '苏胜天',
        createTime: '2024-01-25T13:36:46.33681+08:00',
        updateTime: '2024-01-25T13:36:46.33681+08:00',
      },
    ],
  },
};

// 模型运行库列表
export const mockGetModelRuntimeLibListData = {
  data: {
    count: 5,
    results: [
      {
        id: 1,
        createTime: '2023-12-28T10:53:15.871746+08:00',
        updateTime: '2023-12-28T16:17:04.871746+08:00',
        name: '玻璃表面缺陷检测',
        path: '192.168.10.60:5000/ubuntu:v1',
        startCode: '',
        remark: '',
      },
      {
        id: 2,
        createTime: '2024-03-02T11:05:31.871746+08:00',
        updateTime: '2024-03-02T12:37:08.871746+08:00',
        name: '管材表面缺陷检测',
        path: '192.168.10.60:5000/ubuntu:v1',
        startCode: '',
        remark: '',
      },
      {
        id: 3,
        createTime: '2024-03-06T17:25:31.871746+08:00',
        updateTime: '2024-04-01T09:13:44.871746+08:00',
        name: '锂电池底壳焊工位检测',
        path: '192.168.10.60:5000/ubuntu:v1',
        startCode: '',
        remark: '',
      },
      {
        id: 4,
        createTime: '2024-03-14T13:07:31.871746+08:00',
        updateTime: '2024-04-12T09:51:02.871746+08:00',
        name: '气泡检测',
        path: '192.168.10.60:5000/ubuntu:v1',
        startCode: '',
        remark: '',
      },
      {
        id: 5,
        createTime: '2024-04-10T12:39:10.871746+08:00',
        updateTime: '2024-04-14T14:03:55.871746+08:00',
        name: '明火烟雾识别',
        path: '192.168.10.60:5000/ubuntu:v1',
        startCode: '',
        remark: '',
      },
    ],
  },
};

// 模型运行库文件
export const mockGetModelRuntimeLibFilesListData = {
  data: {
    results: [
      {
        name: '2024011014302001.zip',
        id: '001',
      },
      {
        name: '2024041409210478.zip',
        id: '002',
      },
    ],
  },
};
// 模型版本

const startModelVersionList = () => {
  const currList: Record<string, any>[] = [];
  const count = Math.floor(Math.random() * 100) + 1;
  const baseVersion = 'V' + Math.floor(Math.random() * 10);
  const currFileTime = new Date().getTime();
  const randomString = generateRandomString(20);
  // const hash = generateHash(randomString)
  for (let i = 0; i < count; i++) {
    const isEnable = i === 0;
    currList.push({
      id: i + '1',
      updateTime: generateRandomDateTimeByYear(2023),
      name: baseVersion + '.' + Math.floor(Math.random() * 4) + '.' + i,
      path: `uploads/file/models/${randomString}/${
        currFileTime + Math.floor(Math.random() * 1000) + i
      }.zip`,
      size: Math.floor(Math.random() * 1000) + 'M',
      remark: '',
      isEnable,
    });
  }
  return {
    count,
    results: currList,
  };
};

export const mockGetModelVersionListData = {
  data: {
    next: null,
    previous: null,
    ...JSON.parse(JSON.stringify(startModelVersionList())),
  },
};
