/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-02 14:08:47
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-02 17:27:11
 * @FilePath: \uighur-recognition-web2\mock\recognitionPeople.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**告警汇总模块 mock */
import {
  mockGetRecognitionPeopleData,
  mockGetUploadRecognitionPeopleData,
} from './pools/recognitionPeopleData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList } from './utils/apiMock';
export default {
  // 实时分析告警汇总列表分页
  'GET /api/recognition_people/': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetRecognitionPeopleData,
        data: { ...mockGetRecognitionPeopleData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
  // 离线分析告警汇总列表分页
  'GET /api/upload_recognition_people/': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetUploadRecognitionPeopleData,
        data: { ...mockGetUploadRecognitionPeopleData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
};
