/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-02 15:48:44
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-02 17:07:30
 * @FilePath: \uighur-recognition-web2\mock\travelTrack.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**告警追踪模块 mock */

import { mockGetTravelTrackData, mockGetUploadTravelTrackData } from './pools/travelTrackData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList } from './utils/apiMock';
export default {
  // 实时分析告警追踪分页
  'GET /api/travel_track/': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetTravelTrackData,
        data: { ...mockGetTravelTrackData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
  // 离线分析告警追踪分页
  'GET /api/upload_travel_track/': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetUploadTravelTrackData,
        data: { ...mockGetUploadTravelTrackData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
};

// \upload_travel_track
