/**告警列表模块 mock */

import { mockGetUploadWarningInfoData, mockGetWarningInfoData } from './pools/warningInfoData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList } from './utils/apiMock';
export default {
  // 实时分析告警列表分页
  'GET /api/warning_info/': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetWarningInfoData,
        data: { ...mockGetWarningInfoData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
  // 离线分析告警列表分页
  'GET /api/upload_warning_info/': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetUploadWarningInfoData,
        data: { ...mockGetUploadWarningInfoData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
};
