/**告警规则模块 mock */
import { mockGetUploadWarningRuleData, mockGetWarningRuleData } from './pools/warningRuleData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList } from './utils/apiMock';
export default {
  // 实时分析告警规则分页
  'GET /api/warning_rule/': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetWarningRuleData,
        data: { ...mockGetWarningRuleData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
  // 离线分析告警规则分页
  'GET /api/upload_warning_rule/': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetUploadWarningRuleData,
        data: { ...mockGetUploadWarningRuleData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
};
