import { ArrowLeftOutlined } from '@ant-design/icons';
import { history } from '@umijs/max';

import React from 'react';

export type CommButtonProps = {
  title: string | React.ReactNode;
  backType?: 'default' | undefined;
  toBack?: () => void;
};

const InnerPageBack: React.FC<CommButtonProps> = (props) => {
  function doBack() {
    history.go(-1);
  }
  return (
    <div className="flex items-center innerPageBack_wrap mb-[16px]" onClick={doBack}>
      <ArrowLeftOutlined style={{ fontSize: '18px' }} />
      <span className="h1 ml-[8px]">{props?.title || '返回'}</span>
    </div>
  );
};

export default InnerPageBack;
