/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-03-27 16:03:20
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-07 17:46:07
 * @FilePath: \general-ai-manage\src\components\Header\index.tsx
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { history } from '@umijs/max';
import type { MenuProps } from 'antd';

import { Menu } from 'antd';

import React, { useEffect } from 'react';
import menuFooter from '/public/menuFooter.svg';
import menuLogo from '/public/menuLogo.svg';

import './index.less';

export type MenuBarProps = {
  menuData: any[];
};

const MenuBar: React.FC<MenuBarProps> = ({ menuData }) => {
  // const tabRouter = (record) => {
  //   console.log('tabRouter_record', record);
  //   const currRouteItem =
  //     record.routes && Array.isArray(record.routes) && record.routes.length
  //       ? record.routes[0]
  //       : record;
  //   history.push(currRouteItem.path);
  // };

  // const menuClick = ({ item, key, keyPath, domEvent }) => {
  //   console.log("menuClick", item, key, keyPath, domEvent);
  // };
  const menuClick: MenuProps['onClick'] = (e) => {
    console.log('menuClick ', e.item.props.path);
    const currRouteItem = e.item.props;
    history.push(currRouteItem.path);
  };

  useEffect(() => {
    console.log(history, 'menu_history', menuData);
  }, []);

  return (
    <div className="flex flex-col items-center justify-between menubar_wrap">
      <div className="menu_top">
        <img src={menuLogo} />
      </div>
      {/* <ul className="menus_box m-[0px]">
          {menuData &&
            menuData.length &&
            menuData.map((item, index) => {
              return (
                <li key={index} className="px-[16px]" onClick={() => tabRouter(item)}>
                  <span>{item.title}</span>
                </li>
              );
            })}
        </ul> */}
      {/* // TODO 菜单需要补充路由聚焦状态  */}
      <div className="menu_center">
        <Menu
          mode="inline"
          theme="dark"
          defaultSelectedKeys={['101']}
          items={menuData}
          onClick={menuClick}
        />
      </div>
      <div className="menu_bottom">
        <img src={menuFooter} />
      </div>
    </div>
  );
};

export default MenuBar;
