/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-01 11:20:09
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-01 15:29:21
 * @FilePath: \uighur-recognition-web2\src\components\RightContent\index.tsx
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { postUserSetUserRole } from '@/services/system/User';
import { useModel } from '@@/exports';
import { QuestionCircleOutlined } from '@ant-design/icons';
import { SelectLang as UmiSelectLang } from '@umijs/max';
import { Select } from 'antd';

export type SiderTheme = 'light' | 'dark';

export const SelectLang = () => {
  return (
    <UmiSelectLang
      style={{
        padding: 4,
      }}
    />
  );
};

export const Question = () => {
  return (
    <div
      style={{
        display: 'flex',
        height: 26,
      }}
      onClick={() => {
        window.open('https://pro.ant.design/docs/getting-started');
      }}
    >
      <QuestionCircleOutlined />
    </div>
  );
};

export const SelectRole = () => {
  const { initialState } = useModel('@@initialState');
  const { currentUser } = initialState || {};

  return (
    <span className="gn">
      {currentUser && (
        <Select
          value={currentUser.roleId}
          options={currentUser?.roles || []}
          onSelect={(value) => {
            postUserSetUserRole({ roleId: value }).then((resp) => {
              console.log(resp);
            });
          }}
        />
      )}
    </span>
  );
};
