/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-01 11:20:09
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-02 16:52:00
 * @FilePath: \uighur-recognition-web2\src\components\TableActionCard\stopBtn.tsx
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**
 * 停止按钮
 *
 */
import { FormattedMessage, useIntl } from '@umijs/max';
import { Button, Popconfirm } from 'antd';

type StopBtnProps = {
  // eslint-disable-next-line @typescript-eslint/ban-types
  buttonType?: 'defalut' | 'deleteIcon';
  deleteApi: () => void;
};

const StopBtn: React.FC<StopBtnProps> = (props) => {
  const intl = useIntl();

  return (
    <Popconfirm
      key="destroy"
      placement="topLeft"
      title={intl.formatMessage({ id: 'common.tip.title', defaultMessage: '$$$' })}
      description={intl.formatMessage({
        id: 'common.modal.table.stop.content',
        defaultMessage: '$$$',
      })}
      okText={intl.formatMessage({ id: 'common.yes', defaultMessage: '$$$' })}
      cancelText={intl.formatMessage({ id: 'common.no', defaultMessage: '$$$' })}
      onConfirm={() => {
        props.deleteApi();
      }}
    >
      {/* {props.buttonType === 'deleteIcon' ? (
          <>
            <DeleteOutlined style={{
              color: "rgba(232, 13, 13, 1)",
            ...proIconForTableActionStyle
            }} />
          </>
        ) : (
          <Button type="link" size="small" danger>
            <FormattedMessage id="pages.searchTable.destroy" defaultMessage="Destroy" />
          </Button>
        )} */}
      <Button type="link" size="small" danger>
        <FormattedMessage id="pages.searchTable.stop" defaultMessage="Destroy" />
      </Button>
    </Popconfirm>
  );
};

export default StopBtn;
