/**
 * @Description: 企业信息中间件
 * @功能说明
 * 1、存储当前企业信息
 * 2、在二级页面展示
 */

export type useBusinessInfoProps = {
  setStoreBusinessInfo: (arg1: Record<string, any>) => void;
  getStoreBusinessInfo: () => Record<string, any>;
  cleartoreBusinessInfo: () => void;
};

export const useBusinessInfo = (): useBusinessInfoProps => {
  const storeBusinessInfoKey: string = 'cache_business_info';

  function setStoreBusinessInfo(record) {
    localStorage.setItem(storeBusinessInfoKey, JSON.stringify(record));
  }

  function getStoreBusinessInfo() {
    const currData = localStorage.getItem(storeBusinessInfoKey);
    return JSON.parse(currData);
  }

  function cleartoreBusinessInfo() {
    localStorage.removeItem(storeBusinessInfoKey);
  }

  return {
    setStoreBusinessInfo,
    getStoreBusinessInfo,
    cleartoreBusinessInfo,
  };
};
