/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-10 17:21:34
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-18 17:13:31
 * @FilePath: \general-ai-manage\src\locales\zh-CN\model.ts
 * @Description: 模型管理
 */

// 模型
export const model_index: { [key: string]: string } = {
  'model_index.table.list.defaultVersionFkId': '默认版本',
  'model_index.table.list.id': 'ID',
  'model_index.table.list.name': '模型名称',
  'model_index.table.list.categoryFkId': '模型类别',
  'model_index.table.list.type': '模型分类',
  'model_index.table.list.industry': '行业分类',
  'model_index.table.list.remark': '备注',
  'model_index.table.list.createTime': '创建时间',
  'model_index.table.list.updateTime': '更新时间',
  'model_index.table.rule.required.name': '模型名称为必填项',
  'model_index.table.rule.required.categoryFkId': '模型类别为必填项',
  'model_index.table.list.add': '新建模型',
  'model_index.table.list.setIndustry': '行业分类设置',
  'model_index.table.list.update': '更新模型',
  'model_index.table.list.detail': '详情配置',
  'model_index.create.form.add': '新建模型',
  'model_index.create.form.name': '模型名称',
  'model_index.create.form.rule.required.name': '请填写模型名称',
  'model_index.create.form.type': '模型分类',
  'model_index.create.form.rule.required.type': '请填写模型分类',
  'model_index.create.form.industry': '行业分类',
  'model_index.create.form.rule.required.industry': '请选择行业分类',
  'model_index.create.form.remark': '备注',
  'model_index.create.form.rule.required.remark': '请填写备注',
};
// 模型运行库
export const model_runtimeLib: { [key: string]: string } = {
  'model_runtimeLib.table.list.createTime': '创建时间',
  'model_runtimeLib.table.list.updateTime': '更新时间',
  'model_runtimeLib.table.list.name': '运行库名称',
  'model_runtimeLib.list.table.createForm.add': '新建运行库',
  'model_runtimeLib.list.table.form.name': '运行库名称',
  'model_runtimeLib.list.table.form.rule.required.name': '请填写运行库名称',
  'model_runtimeLib.list.table.form.IP': 'IP地址',
  'model_runtimeLib.list.table.form.rule.required.IP': '请填写IP地址',
  'model_runtimeLib.list.table.form.port': '端口',
  'model_runtimeLib.list.table.form.rule.required.port': '请填写端口',
  'model_runtimeLib.list.table.form.fileName': '选择文件',
  'model_runtimeLib.list.table.form.rule.required.fileName': '请选择文件',
  'model_runtimeLib.list.table.form.remark': '简介',
  'model_runtimeLib.list.table.form.rule.required.remark': '请填写简介',
};
// 模型详情&模型版本
export const model_version: { [key: string]: string } = {
  'model_detail.version.table.list.name': '版本号',
  'model_detail.version.table.list.path': '模型地址',
  'model_detail.version.table.list.size': '大小',
  'model_detail.version.table.list.isEnable': '是否启用',
  'model_detail.version.table.list.remark': '备注',
  'model_detail.version.table.list.createTime': '创建时间',
  'model_detail.version.table.list.updateTime': '更新时间',
  'model_detail.version.table.list.add': '新建模型版本',
  'model_detail.version.table.list.update': '更新模型版本',
  'model_detail.version.stepForm.base': '版本信息',
  'model_detail.version.stepForm.base.description': '填写版本基础信息',
  'model_detail.version.stepForm.project_file': '版本上传',
  'model_detail.version.stepForm.project_file.description': '上传模型文件',
  'model_detail.version.stepForm.config': '参数配置',
  'model_detail.version.stepForm.config.description': '模型参数配置',

  'model_detail.version.form.modelFkId': '模型',
  'model_detail.version.form.name': '版本号',
  'model_detail.version.form.required.name': '请填写版本号',
  'model_detail.version.form.remark': '备注',
  'model_detail.version.list.table.form.rule.required.name': '请填写版本号',
  // 待启用
  'model_detail.version.table.list.startCode': '启动代码',
  'model_detail.version.table.rule.required.path': '模型地址为必填项',
};

// 企业项目列表
export const business_project_list: { [key: string]: string } = {};

// 未启用
export const business_image: { [key: string]: string } = {
  'resource.business_image.table.list.id': 'ID',
  'resource.business_image.table.list.name': '镜像名称',
  'resource.business_image.table.list.version': '镜像版本',
  'resource.business_image.table.list.projectFkId': '项目',
  'resource.business_image.table.list.path': '镜像地址',
  'resource.business_image.table.list.startCode': '启动代码',
  'resource.business_image.table.list.config': '配置',
  'resource.business_image.table.list.configHash': '配置hash',
  'resource.business_image.table.list.remark': '备注',
  'resource.business_image.table.list.createTime': '创建时间',
  'resource.business_image.table.list.updateTime': '更新时间',
  'resource.business_image.table.rule.required.name': '镜像名称为必填项',
  'resource.business_image.table.rule.required.version': '镜像版本为必填项',
  'resource.business_image.table.rule.required.projectFkId': '项目为必填项',
  'resource.business_image.table.list.add': '新建业务镜像',
  'resource.business_image.table.list.update': '更新业务镜像',
};
export const model_category: { [key: string]: string } = {
  'resource.model_category.table.list.id': 'ID',
  'resource.model_category.table.list.name': '类别名称',
  'resource.model_category.table.list.code': '类别代码',
  'resource.model_category.table.list.remark': '备注',
  'resource.model_category.table.list.createTime': '创建时间',
  'resource.model_category.table.list.updateTime': '更新时间',
  'resource.model_category.table.rule.required.name': '类别名称为必填项',
  'resource.model_category.table.rule.required.code': '类别代码为必填项',
  'resource.model_category.table.list.add': '新建模型类别',
  'resource.model_category.table.list.update': '更新模型类别',
};
export const model_image: { [key: string]: string } = {
  'resource.model_image.table.list.id': 'ID',
  'resource.model_image.table.list.name': '镜像名称',
  'resource.model_image.table.list.modelVersionFkId': '模型版本',
  'resource.model_image.table.list.path': '镜像地址',
  'resource.model_image.table.list.startCode': '启动代码',
  'resource.model_image.table.list.remark': '备注',
  'resource.model_image.table.list.createTime': '创建时间',
  'resource.model_image.table.list.updateTime': '更新时间',
  'resource.model_image.table.rule.required.name': '镜像名称为必填项',
  'resource.model_image.table.rule.required.modelVersionFkId': '模型版本为必填项',
  'resource.model_image.table.list.add': '新建模型镜像',
  'resource.model_image.table.list.update': '更新模型镜像',
};

export const server_status: { [key: string]: string } = {
  'resource.server_status.table.list.name': '服务器名称',
  'resource.server_status.table.list.userName': '用户名',
  'resource.server_status.table.list.ip': 'IP',
  'resource.server_status.table.list.password': '密码',
  'resource.server_status.table.list.defaultPort': '默认端口',
  'resource.server_status.table.list.parameter': '服务器参数',
  'resource.server_status.table.list.publicKeyString': '公钥字符串',
  'resource.server_status.table.list.connectivityTesting': '连通性测试',
  'resource.server_status.table.list.isEnable': '是否启用',
  'resource.server_status.table.list.remark': '备注',
  'resource.server_status.table.list.createTime': '创建时间',
  'resource.server_status.table.list.updateTime': '更新时间',
  'resource.server_status.table.rule.required.modelFkId': '模型为必填项',
  'resource.server_status.table.rule.required.path': '模型地址为必填项',
  'resource.server_status.table.list.add': '新建服务器',
  'resource.server_status.table.list.editor': '编辑服务器',
  'resource.server_status.table.list.update': '更新模型版本',
};
