/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-01 19:20:30
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-02 17:19:56
 * @FilePath: \uighur-recognition-web2\src\services\realTime\alarmRules.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 告警列表 */
export async function getAlarmRules(
  params: API.SearchAlarmRulesParams,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(`/api/warning_rule/`, {
    method: 'GET',
    headers: {
      'Content-Type': 'application/json',
    },
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 更新告警列表 */
export async function postAlarmRules(
  body: API.UpdateAlarmRulesParams,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(`/api/warning_rule/`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 离线告警规则 */
export async function getOfflineAlarmRules(
  params: API.SearchAlarmRulesParams,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/upload_warning_rule/`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...params,
      },
      ...(options || {}),
    },
  );
}

/** 离线更新告警规则 */
export async function postOfflineAlarmRules(
  body: API.UpdateAlarmRulesParams,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/upload_warning_rule/`,
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    },
  );
}
